Best · SKU RF-RFC015
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X
$4.00
$6.00
-33% · You save $2.00
● In Stock
- This product is suitable for cleaning the stubborn OCA glue on the back cover glass of 8/8P/X after repair. It can effectively and thoroughly clean the OCA glue and have no adhesive remains.
- Spraying the solution onto the surface of the OCA glue,after 40 second, scraping the OCA glue with scraper gently. The operation can be repeated if there is the residue of the glue.
Quantity
Min. Order: 10
| Brand | Best |
| SKU | RF-RFC015 |
| Compatible Model | Universal / 通用 |
| Voltage / Plug | - |
| Power | - |
| Temperature | - |
| Warranty | 12 months |
| Min. Order | 10 pcs |
Orders are dispatched within 48 hours from Shenzhen. Express shipping takes 5-9 business days, economy shipping 12-20 business days. Free express shipping on orders over $300.00.
Package Includes: 1 x main unit, 1 x power cable, 1 x English user manual, required accessories and fixtures. Retail boxes are available on request for bulk orders.
T/T bank transfer, PayPal, Wise, Western Union, Alipay and credit card. Bulk orders support 30% deposit with balance before shipment.
Related Products
-18%
2UUL
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools
$20.49
$24.99
CODE: RF-RFC003
-12%
2UUL
2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack)
$7.49
$8.49
CODE: RF-RFC004
-24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
$18.99
$24.99
CODE: RF-RFC005
-18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
$4.49
$5.49
CODE: RF-RFC006
-33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
$1.99
$2.99
CODE: RF-RFC007
-14%
2UUL
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box)
$9.49
$10.99
CODE: RF-RFC009
-10%
MaAnt
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools
$13.49
$14.99
CODE: RF-RFC010